import React from 'react';
import styles from './cta-block.module.pcss.js';

const CtaBlock = ({
  topTitle,
  mainTitle,
  children,
  buttons
}) => {
  return React.createElement("div", {
    className: styles.wrapper
  }, React.createElement("div", {
    className: 'ktl-container'
  }, topTitle && React.createElement("div", {
    className: styles.topTitle
  }, React.createElement("div", {
    className: 'ktl-text-2 ktl-text-2_theme_dark'
  }, topTitle)), React.createElement("div", {
    className: styles.mainTitle
  }, React.createElement("h2", {
    className: 'ktl-hero ktl-hero_theme_dark'
  }, mainTitle)), children && React.createElement("div", {
    className: styles.content
  }, children), React.createElement("div", null), buttons && React.createElement("div", {
    className: styles.buttons
  }, buttons)));
};

export { CtaBlock };
