import React__default from 'react';
import styles from './nav-list.module.pcss.js';
import { navList } from './nav-data.js';
import { NavItem } from './nav-item.js';

const NavList = props => React__default.createElement("nav", {
  className: props.className
}, React__default.createElement("ul", {
  className: styles.navList
}, navList.map(value => React__default.createElement(NavItem, {
  key: value.url,
  data: value
}))));

export { NavList };
