import * as React from 'react';

var _radialGradient, _path;

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

const SvgKotlinLogoSmall = props => /*#__PURE__*/React.createElement("svg", _extends({
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, props), _radialGradient || (_radialGradient = /*#__PURE__*/React.createElement("radialGradient", {
  id: "kotlin-logo-small_svg__a",
  cx: 22.432,
  cy: 3.493,
  r: 21.679,
  gradientTransform: "translate(-.19 .042) scale(.9998)",
  gradientUnits: "userSpaceOnUse"
}, /*#__PURE__*/React.createElement("stop", {
  offset: 0.003,
  stopColor: "#e44857"
}), /*#__PURE__*/React.createElement("stop", {
  offset: 0.469,
  stopColor: "#c711e1"
}), /*#__PURE__*/React.createElement("stop", {
  offset: 1,
  stopColor: "#7f52ff"
}))), _path || (_path = /*#__PURE__*/React.createElement("path", {
  fill: "url(#kotlin-logo-small_svg__a)",
  d: "M22.87 21.68H3.94V2.76h18.93l-9.66 9.32z"
})));

export { SvgKotlinLogoSmall as default };
