# UI components library for "Kotlin Web Sites" team.
You can get the library from [npm](https://www.npmjs.com/package/@jetbrains/kotlin-web-site-ui).

```
yarn add @jetbrains/kotlin-web-site-ui
```

## Note:
There is no clean way to test a new version on related projects. You need to publish the new version to npm for test it on the related projects.
We have the [KTL-458](https://youtrack.jetbrains.com/issue/KTL-458) to improve it.

# How to publish a new version
When your changes are ready for release, make few steps to publish them:
- Up library's version in the package.json according to [semantic versioning](https://docs.npmjs.com/about-semantic-versioning)
- Run [the configuration](https://buildserver.labs.intellij.net/buildConfiguration/Kotlin_KotlinSites_PublishKotlinWebSiteUiToNpm?branch=&buildTypeTab=overview&mode=builds#all-projects) for you branch in the TeamCity
- Make sure that the new version has published to the npm.
