import React__default from 'react';
import classNames from 'classnames';
import SvgJetbrainsLogo from './jetbrains-logo.svg.js';
import styles from './logo.module.pcss.js';

const Logo = props => React__default.createElement("a", {
  href: "https://jetbrains.com",
  target: "_blank",
  className: classNames(props.className, styles.link)
}, React__default.createElement(SvgJetbrainsLogo, null));

export { Logo };
