import React__default from 'react';
import styles from './social-list.module.pcss.js';
import { socialList } from './social-data.js';
import { SocialItem } from './social-item/social-item.js';

const SocialList = () => React__default.createElement("div", {
  className: styles.socialList
}, socialList.map(socialNetwork => React__default.createElement(SocialItem, {
  key: socialNetwork.url,
  socialNetwork: socialNetwork
})));

export { SocialList };
